# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
  secret: '%env(APP_SECRET)%'
  #csrf_protection: true
  annotations: false
  http_method_override: false
  handle_all_throwables: true
  translator:
    default_path: '%kernel.project_dir%/translations'

  # Note that the session will be started ONLY if you read or write from it.
  session:
    handler_id: Symfony\Component\HttpFoundation\Session\Storage\Handler\PdoSessionHandler
    cookie_secure: true
    cookie_samesite: lax
    storage_factory_id: session.storage.factory.native

  #esi: true
  #fragments: true
  php_errors:
    log: true

when@test:
  framework:
    test: true
    session:
      handler_id: null
      storage_factory_id: session.storage.factory.mock_file
